﻿$ErrorActionPreference = 'Stop';

$packageName    = $env:ChocolateyPackageName
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://download.unity3d.com/download_unity/9674261d40ee/TargetSupportInstaller/UnitySetup-Linux-Mono-Support-for-Editor-2022.3.5f1.exe'
$checksum64     = 'd14e74ffad99bfbcdf8b4f445791db04e5c8e64df937170493bbd6b2b215fb60'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
